<?php
/**
 * @package     VikBooking
 * @subpackage  com_vikbooking
 * @author      Alessio Gaggii - e4j - Extensionsforjoomla.com
 * @copyright   Copyright (C) 2018 e4j - Extensionsforjoomla.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 * @link        https://vikwp.com
 */

defined('ABSPATH') or die('No script kiddies please!');

$arrayfirst = $this->arrayfirst;
$nextreservations = $this->nextreservations;
$checkin_today = $this->checkin_today;
$checkout_today = $this->checkout_today;
$rooms_locked = $this->rooms_locked;

$vbo_auth_pricing = JFactory::getUser()->authorise('core.vbo.pricing', 'com_vikbooking');
$vbo_app = new VboApplication();
$vbo_auth_bookings = JFactory::getUser()->authorise('core.vbo.bookings', 'com_vikbooking');
$document = JFactory::getDocument();
$nowdf = VikBooking::getDateFormat(true);
if ($nowdf == "%d/%m/%Y") {
	$df = 'd/m/Y';
} elseif ($nowdf == "%m/%d/%Y") {
	$df = 'm/d/Y';
} else {
	$df = 'Y/m/d';
}
$datesep = VikBooking::getDateSeparator(true);
$up_running = true;
/**
 * @wponly - check if some shortcodes have been defined before showing the Dashboard
 */
$model = JModel::getInstance('vikbooking', 'shortcodes');
$itemid = $model->all('post_id');
if ($arrayfirst['totprices'] < 1 || $arrayfirst['totrooms'] < 1 || $arrayfirst['tot_rooms_units'] < 1 || $arrayfirst['totdailyfares'] < 1 || count($itemid) < 1) {
	$up_running = false;
	?>
<div class="vbo-dashboard-firstsetup-wrap">
	<div class="vbo-dashboard-firstsetup-container">
		<div class="vbo-dashboard-firstsetup-head">
			<h3><?php echo JText::_('VBDASHFIRSTSETTITLE'); ?></h3>
			<h4><?php echo JText::_('VBDASHFIRSTSETSUBTITLE'); ?></h4>
		</div>
		<div class="vbo-dashboard-firstsetup-body">
			<div class="vbo-dashboard-firstsetup-task vbo-dashboard-firstsetup-task-<?php echo $arrayfirst['totprices'] < 1 ? 'incomplete' : 'completed'; ?>">
				<div class="vbo-dashboard-firstsetup-task-wrap">
					<div class="vbo-dashboard-firstsetup-task-number">
						<span>1.</span>
					</div>
					<div class="vbo-dashboard-firstsetup-task-details">
						<div class="vbo-dashboard-firstsetup-task-name"><?php echo JText::_('VBDASHNOPRICES'); ?></div>
						<div class="vbo-dashboard-firstsetup-task-count">
							<span class="vbo-dashboard-firstsetup-task-val"><?php echo $arrayfirst['totprices']; ?></span>
						<?php
						if ($arrayfirst['totprices'] > 0) {
							?>
							<span class="vbo-dashboard-firstsetup-done"><?php VikBookingIcons::e('check-circle'); ?></span>
							<?php
						}
						?>
						</div>
					</div>
				<?php
				if ($arrayfirst['totprices'] < 1) {
					?>
					<div class="vbo-dashboard-firstsetup-task-action">
						<a href="index.php?option=com_vikbooking&task=prices" class="button button-secondary"><?php echo JText::_('VBCONFIGURETASK'); ?></a>
					</div>
					<?php
				}
				?>
					<div class="vbo-dashboard-firstsetup-task-description">
						<p><?php echo JText::_('VBOWIZARDRPLANSMESS'); ?></p>
					</div>
				</div>
			</div>
			<div class="vbo-dashboard-firstsetup-task vbo-dashboard-firstsetup-task-<?php echo $arrayfirst['totrooms'] < 1 ? 'incomplete' : 'completed'; ?>">
				<div class="vbo-dashboard-firstsetup-task-wrap">
					<div class="vbo-dashboard-firstsetup-task-number">
						<span>2.</span>
					</div>
					<div class="vbo-dashboard-firstsetup-task-details">
						<div class="vbo-dashboard-firstsetup-task-name"><?php echo JText::_('VBDASHNOROOMS'); ?></div>
						<div class="vbo-dashboard-firstsetup-task-count">
							<span class="vbo-dashboard-firstsetup-task-val"><?php echo $arrayfirst['totrooms']; ?></span>
						<?php
						if ($arrayfirst['totrooms'] > 0) {
							?>
							<span class="vbo-dashboard-firstsetup-done"><?php VikBookingIcons::e('check-circle'); ?></span>
							<?php
						}
						?>
						</div>
					</div>
					<?php
				if ($arrayfirst['totrooms'] < 1) {
					?>
					<div class="vbo-dashboard-firstsetup-task-action">
						<a href="index.php?option=com_vikbooking&task=rooms" class="button button-secondary"><?php echo JText::_('VBCONFIGURETASK'); ?></a>
					</div>
					<?php
				}
				?>
					<div class="vbo-dashboard-firstsetup-task-description">
						<p><?php echo JText::_('VBODASHFIRSTSETUPROOMS'); ?></p>
					</div>
				<?php
				/**
				 * @wponly 	we print a button to import the bookings from third party plugins.
				 * 
				 * @since 	1.3.5
				 */
				if ($arrayfirst['totrooms'] > 0) {
					$tpp_supported = VikBooking::canImportBookingsFromThirdPartyPlugins();
					if ($tpp_supported !== false) {
						?>
					<div class="vbo-dashboard-firstsetup-importbftpp">
						<h5 class="vbo-dashboard-firstsetup-importbftpp-title"><?php echo JText::_('VBO_IMPBFTPP_WANTTO'); ?></h5>
						<a class="btn btn-large btn-success" href="index.php?option=com_vikbooking&view=importbftpp"><?php VikBookingIcons::e('download'); ?> <?php echo JText::_('VBO_IMPBFTPP_DOIMPORT_SHORT'); ?></a>
					</div>
						<?php
					}
				}
				//
				?>
				</div>
			</div>
			<div class="vbo-dashboard-firstsetup-task vbo-dashboard-firstsetup-task-<?php echo $arrayfirst['totdailyfares'] < 1 ? 'incomplete' : 'completed'; ?>">
				<div class="vbo-dashboard-firstsetup-task-wrap">
					<div class="vbo-dashboard-firstsetup-task-number">
						<span>3.</span>
					</div>
					<div class="vbo-dashboard-firstsetup-task-details">
						<div class="vbo-dashboard-firstsetup-task-name"><?php echo JText::_('VBDASHNODAILYFARES'); ?></div>
						<div class="vbo-dashboard-firstsetup-task-count">
							<span class="vbo-dashboard-firstsetup-task-val"><?php echo $arrayfirst['totdailyfares'] < 1 ? '0' : ''; ?></span>
						<?php
						if ($arrayfirst['totdailyfares'] > 0) {
							?>
							<span class="vbo-dashboard-firstsetup-done"><?php VikBookingIcons::e('check-circle'); ?></span>
							<?php
						}
						?>
						</div>
					</div>
					<?php
				if ($arrayfirst['totdailyfares'] < 1) {
					?>
					<div class="vbo-dashboard-firstsetup-task-action">
						<a href="index.php?option=com_vikbooking&task=tariffs" class="button button-secondary"><?php echo JText::_('VBCONFIGURETASK'); ?></a>
					</div>
					<?php
				}
				?>
					<div class="vbo-dashboard-firstsetup-task-description">
						<p><?php echo JText::_('VBODASHFIRSTSETUPTARIFFS'); ?></p>
					</div>
				</div>
			</div>
			<div class="vbo-dashboard-firstsetup-task vbo-dashboard-firstsetup-task-<?php echo count($itemid) < 1 ? 'incomplete' : 'completed'; ?>">
				<div class="vbo-dashboard-firstsetup-task-wrap">
					<div class="vbo-dashboard-firstsetup-task-number">
						<span>4.</span>
					</div>
					<div class="vbo-dashboard-firstsetup-task-details">
						<div class="vbo-dashboard-firstsetup-task-name"><?php echo JText::_('VBFIRSTSETSHORTCODES'); ?></div>
						<div class="vbo-dashboard-firstsetup-task-count">
							<span class="vbo-dashboard-firstsetup-task-val"><?php echo count($itemid); ?></span>
						<?php
						if (count($itemid) > 0) {
							?>
							<span class="vbo-dashboard-firstsetup-done"><?php VikBookingIcons::e('check-circle'); ?></span>
							<?php
						}
						?>
						</div>
					</div>
					<?php
				if (count($itemid) < 1) {
					?>
					<div class="vbo-dashboard-firstsetup-task-action">
						<a href="index.php?option=com_vikbooking&view=shortcodes" class="button button-secondary"><?php echo JText::_('VBCONFIGURETASK'); ?></a>
					</div>
					<?php
				}
				?>
					<div class="vbo-dashboard-firstsetup-task-description">
						<p><?php echo JText::_('VBODASHFIRSTSETUPSHORTCODES'); ?></p>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
	<?php
}
if ($up_running === true) {
	//First setup complete. Show reports, check-ins and check-outs today, next bookings
	JHTML::_('behavior.keepalive');
	$document->addScript(VBO_ADMIN_URI.'resources/donutChart.js');
	$wdaysmap = array('0' => JText::_('VBSUNDAY'), '1' => JText::_('VBMONDAY'), '2' => JText::_('VBTUESDAY'), '3' => JText::_('VBWEDNESDAY'), '4' => JText::_('VBTHURSDAY'), '5' => JText::_('VBFRIDAY'), '6' => JText::_('VBSATURDAY'));
	//Prepare modal
	?>
<script type="text/javascript">
function vboJModalShowCallback() {
	//simulate STOP click
	if (vbo_t_on) {
		vbo_t_on = false;
		clearTimeout(vbo_t);
		jQuery(".vbo-dashboard-refresh-play").fadeIn();
	}
}
function vboJModalHideCallback() {
	//simulate PLAY click
	if (!vbo_t_on) {
		vboStartTimer();
		jQuery(".vbo-dashboard-refresh-play").fadeOut();
	}
}
</script>
	<?php
	echo $vbo_app->getJmodalScript('', 'vboJModalHideCallback();', 'vboJModalShowCallback();');
	echo $vbo_app->getJmodalHtml('vbo-checkin-booking', JText::_('VBOMANAGECHECKSINOUT'));
	//end Prepare modal

	//Todays Check-in
	?>
<div class="vbo-dashboard-fullcontainer">
	<div class="vbo-dashboard-top-outer">
		<div class="vbo-dashboard-today-bookings">
			<div class="vbo-dashboard-today-checkin-wrapper">
				<div class="vbo-dashboard-today-checkin-head">
					<h4><i class="vboicn-enter"></i><?php echo JText::_('VBDASHTODAYCHECKIN'); ?> <span id="arrivals-tot"><?php echo count($checkin_today); ?></span></h4>
					<div class="btn-toolbar pull-right vbo-dashboard-search-checkin">
						<div class="btn-wrapper input-append pull-right">
							<input type="text" class="checkin-search form-control" placeholder="<?php echo JText::_('VBODASHSEARCHKEYS'); ?>">
							<button type="button" class="btn" onclick="jQuery('.checkin-search').val('').trigger('keyup');"><i class="icon-remove"></i></button>
						</div>
					</div>
				</div>
				<div class="vbo-dashboard-today-checkin table-responsive">
					<table class="table vbo-table-search-cin">
						<thead>
							<tr class="vbo-dashboard-today-checkin-firstrow">
								<th class="left"><?php echo JText::_('VBDASHUPRESONE'); ?></th>
								<th class="left"><?php echo JText::_('VBCUSTOMERNOMINATIVE'); ?></th>
								<th class="center"><?php echo JText::_('VBDASHUPRESSIX'); ?></th>
								<th class="center"><?php echo JText::_('VBDASHUPRESTWO'); ?></th>
								<th class="center"><?php echo JText::_('VBDASHUPRESFOUR'); ?></th>
								<th class="center"><?php echo JText::_('VBDASHUPRESFIVE'); ?></th>
								<th class="vbo-tdright"> </th>
							</tr>
							<tr class="warning no-results">
								<td colspan="7"><i class="vboicn-warning"></i> <?php echo JText::_('VBONORESULTS'); ?></td>
							</tr>
						</thead>
						<tbody>
						<?php
						if (!(count($checkin_today) > 0)) {
							?>
							<tr class="warning">
								<td colspan="7"><i class="vboicn-warning"></i> <?php echo JText::_('VBONOCHECKINSTODAY'); ?></td>
							</tr>
							<?php
						}
						foreach ($checkin_today as $ink => $intoday) {
							$totpeople_str = $intoday['tot_adults']." ".($intoday['tot_adults'] > 1 ? JText::_('VBMAILADULTS') : JText::_('VBMAILADULT')).($intoday['tot_children'] > 0 ? ", ".$intoday['tot_children']." ".($intoday['tot_children'] > 1 ? JText::_('VBMAILCHILDREN') : JText::_('VBMAILCHILD')) : "");
							$room_names = array();
							$rooms = VikBooking::loadOrdersRoomsData($intoday['id']);
							foreach ($rooms as $rr) {
								$room_names[] = $rr['room_name'];
							}
							if ($intoday['roomsnum'] == 1) {
								// parse distintive features
								$unit_index = '';
								if (strlen($rooms[0]['roomindex']) && !empty($rooms[0]['params'])) {
									$room_params = json_decode($rooms[0]['params'], true);
									if (is_array($room_params) && array_key_exists('features', $room_params) && @count($room_params['features']) > 0) {
										foreach ($room_params['features'] as $rind => $rfeatures) {
											if ($rind == $rooms[0]['roomindex']) {
												foreach ($rfeatures as $fname => $fval) {
													if (strlen($fval)) {
														$unit_index = ' #'.$fval;
														break;
													}
												}
												break;
											}
										}
									}
								}
								//
								$roomstr = '<span class="vbo-smalltext">'.$room_names[0].$unit_index.'</span>';
							} else {
								$roomstr = '<span class="hasTooltip vbo-tip-small" title="'.implode(', ', $room_names).'">'.$intoday['roomsnum'].'</span><span class="hidden-for-search">'.implode(', ', $room_names).'</span>';
							}
							$act_status = '';
							if ($intoday['status'] == 'confirmed') {
								switch ($intoday['checked']) {
									case -1:
										$ord_status = '<span class="label label-error vbo-status-label" style="background-color: #d9534f;">'.JText::_('VBOCHECKEDSTATUSNOS').'</span>';
										break;
									case 1:
										$ord_status = '<span class="label label-success vbo-status-label">'.JText::_('VBOCHECKEDSTATUSIN').'</span>';
										break;
									case 2:
										$ord_status = '<span class="label label-success vbo-status-label">'.JText::_('VBOCHECKEDSTATUSOUT').'</span>';
										break;
									default:
										$ord_status = '<span class="label label-success vbo-status-label">'.JText::_('VBCONFIRMED').'</span>';
										break;
								}
								if ($vbo_auth_bookings && $intoday['closure'] != 1) {
									// @wponly lite - no registration
								}
							} elseif ($intoday['status'] == 'standby') {
								$ord_status = '<span label label-warning vbo-status-label>'.JText::_('VBSTANDBY').'</span>';
							} else {
								$ord_status = '<span class="label label-error vbo-status-label" style="background-color: #d9534f;">'.JText::_('VBCANCELLED').'</span>';
							}
							$nominative = strlen($intoday['nominative']) > 1 ? $intoday['nominative'] : VikBooking::getFirstCustDataField($intoday['custdata']);
							$country_flag = '';
							if (file_exists(VBO_ADMIN_PATH.DS.'resources'.DS.'countries'.DS.$intoday['country'].'.png')) {
								$country_flag = '<img src="'.VBO_ADMIN_URI.'resources/countries/'.$intoday['country'].'.png'.'" title="'.$intoday['country'].'" class="vbo-country-flag vbo-country-flag-left"/>';
							}
							?>
							<tr class="vbo-dashboard-today-checkin-rows">
								<td class="searchable left"><a href="index.php?option=com_vikbooking&amp;task=editorder&amp;cid[]=<?php echo $intoday['id']; ?>"><?php echo $intoday['id']; ?></a></td>
								<td class="searchable left"><?php echo $country_flag.$nominative; ?></td>
								<td class="center"><?php echo $totpeople_str; ?></td>
								<td class="searchable center"><?php echo $roomstr; ?></td>
								<td class="searchable center"><?php echo date(str_replace("/", $datesep, $df).' H:i', $intoday['checkout']); ?></td>
								<td class="searchable center" id="status-<?php echo $intoday['id']; ?>"><?php echo $ord_status; ?></td>
								<td class="vbo-tdright"><?php echo $act_status; ?></td>
							</tr>
							<?php
						}
						?>
						</tbody>
					</table>
				</div>
			</div>
			<?php
			//Todays Check-out
			?>
			<div class="vbo-dashboard-today-checkout-wrapper">
				<div class="vbo-dashboard-today-checkout-head">
					<h4><i class="vboicn-exit"></i><?php echo JText::_('VBDASHTODAYCHECKOUT'); ?> <span id="departures-tot"><?php echo count($checkout_today); ?></span></h4>
					<div class="btn-toolbar pull-right vbo-dashboard-search-checkout">
						<div class="btn-wrapper input-append pull-right">
							<input type="text" class="checkout-search form-control" placeholder="<?php echo JText::_('VBODASHSEARCHKEYS'); ?>">
							<button type="button" class="btn" onclick="jQuery('.checkout-search').val('').trigger('keyup');"><i class="icon-remove"></i></button>
						</div>
					</div>
				</div>
				<div class="vbo-dashboard-today-checkout table-responsive">
					<table class="table vbo-table-search-cout">
						<thead>
							<tr class="vbo-dashboard-today-checkout-firstrow">
								<th class="left"><?php echo JText::_('VBDASHUPRESONE'); ?></th>
								<th class="left"><?php echo JText::_('VBCUSTOMERNOMINATIVE'); ?></th>
								<th class="center"><?php echo JText::_('VBDASHUPRESSIX'); ?></th>
								<th class="center"><?php echo JText::_('VBDASHUPRESTWO'); ?></th>
								<th class="center"><?php echo JText::_('VBDASHUPRESTHREE'); ?></th>
								<th class="center"><?php echo JText::_('VBDASHUPRESFIVE'); ?></th>
								<th class="vbo-tdright"> </th>
							</tr>
							<tr class="warning no-results">
								<td colspan="7"><i class="vboicn-warning"></i> <?php echo JText::_('VBONORESULTS'); ?></td>
							</tr>
						</thead>
						<tbody>
						<?php
						if (!(count($checkout_today) > 0)) {
							?>
							<tr class="warning">
								<td colspan="7"><i class="vboicn-warning"></i> <?php echo JText::_('VBONOCHECKOUTSTODAY'); ?></td>
							</tr>
							<?php
						}
						foreach ($checkout_today as $outk => $outtoday) {
							$totpeople_str = $outtoday['tot_adults']." ".($outtoday['tot_adults'] > 1 ? JText::_('VBMAILADULTS') : JText::_('VBMAILADULT')).($outtoday['tot_children'] > 0 ? ", ".$outtoday['tot_children']." ".($outtoday['tot_children'] > 1 ? JText::_('VBMAILCHILDREN') : JText::_('VBMAILCHILD')) : "");
							$room_names = array();
							$rooms = VikBooking::loadOrdersRoomsData($outtoday['id']);
							foreach ($rooms as $rr) {
								$room_names[] = $rr['room_name'];
							}
							if ($outtoday['roomsnum'] == 1) {
								// parse distintive features
								$unit_index = '';
								if (strlen($rooms[0]['roomindex']) && !empty($rooms[0]['params'])) {
									$room_params = json_decode($rooms[0]['params'], true);
									if (is_array($room_params) && array_key_exists('features', $room_params) && @count($room_params['features']) > 0) {
										foreach ($room_params['features'] as $rind => $rfeatures) {
											if ($rind == $rooms[0]['roomindex']) {
												foreach ($rfeatures as $fname => $fval) {
													if (strlen($fval)) {
														$unit_index = ' #'.$fval;
														break;
													}
												}
												break;
											}
										}
									}
								}
								//
								$roomstr = '<span class="vbo-smalltext">'.$room_names[0].$unit_index.'</span>';
							} else {
								$roomstr = '<span class="hasTooltip vbo-tip-small" title="'.implode(', ', $room_names).'">'.$outtoday['roomsnum'].'</span><span class="hidden-for-search">'.implode(', ', $room_names).'</span>';
							}
							$act_status = '';
							if ($outtoday['status'] == 'confirmed') {
								switch ($outtoday['checked']) {
									case -1:
										$ord_status = '<span class="label label-error vbo-status-label" style="background-color: #d9534f;">'.JText::_('VBOCHECKEDSTATUSNOS').'</span>';
										break;
									case 1:
										$ord_status = '<span class="label label-success vbo-status-label">'.JText::_('VBOCHECKEDSTATUSIN').'</span>';
										break;
									case 2:
										$ord_status = '<span class="label label-success vbo-status-label">'.JText::_('VBOCHECKEDSTATUSOUT').'</span>';
										break;
									default:
										$ord_status = '<span class="label label-success vbo-status-label">'.JText::_('VBCONFIRMED').'</span>';
										break;
								}
								if ($vbo_auth_bookings && $outtoday['closure'] != 1) {
									// @wponly lite - no registration
								}
							} elseif ($outtoday['status'] == 'standby') {
								$ord_status = '<span label label-warning vbo-status-label>'.JText::_('VBSTANDBY').'</span>';
							} else {
								$ord_status = '<span class="label label-error vbo-status-label" style="background-color: #d9534f;">'.JText::_('VBCANCELLED').'</span>';
							}
							$nominative = strlen($outtoday['nominative']) > 1 ? $outtoday['nominative'] : VikBooking::getFirstCustDataField($outtoday['custdata']);
							$country_flag = '';
							if (file_exists(VBO_ADMIN_PATH.DS.'resources'.DS.'countries'.DS.$outtoday['country'].'.png')) {
								$country_flag = '<img src="'.VBO_ADMIN_URI.'resources/countries/'.$outtoday['country'].'.png'.'" title="'.$outtoday['country'].'" class="vbo-country-flag vbo-country-flag-left"/>';
							}
							?>
							<tr class="vbo-dashboard-today-checkout-rows">
								<td class="searchable left"><a href="index.php?option=com_vikbooking&amp;task=editorder&amp;cid[]=<?php echo $outtoday['id']; ?>"><?php echo $outtoday['id']; ?></a></td>
								<td class="searchable left"><?php echo $country_flag.$nominative; ?></td>
								<td class="center"><?php echo $totpeople_str; ?></td>
								<td class="searchable center"><?php echo $roomstr; ?></td>
								<td class="searchable center"><?php echo date(str_replace("/", $datesep, $df).' H:i', $outtoday['checkin']); ?></td>
								<td class="searchable center" id="status-<?php echo $outtoday['id']; ?>"><?php echo $ord_status; ?></td>
								<td class="vbo-tdright"><?php echo $act_status; ?></td>
							</tr>
							<?php
						}
						?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	<?php
	if ($vbo_auth_pricing && $vbo_auth_bookings) {
		?>
		<div class="vbo-dashboard-top-right">
			<?php
			// load forecast template
			echo $this->loadTemplate('forecast');
			?>
		</div>
		<?php
	}
	?>
	</div>
	<?php
	$busy = VikBooking::loadBusyRecordsUnclosed(array_keys($arrayfirst['all_rooms_ids']), $arrayfirst['today_end_ts']);
	//Used for Today's Rooms Occupancy
	$today_tot_occupancy = 0;
	//
	//Chart for Rooms Sold Today and all week
	?>
<script type="text/javascript">
function renderDonutChart(elemid, params) {
	// default object parameters
	defparams = {
		start: 0,
		tot_booked_today: 0, // should be specified
		tot_rooms_units: 1, // should be specified
		size: 160,
		animationSpeed: 3,
		textColor: "#22485d",
		titlePosition: "outer-top", //outer-bottom, outer-top, inner-bottom, inner-top
		titleText: "",
		titleColor: '#333333',
		outer_color: '#2a762c', // should be specified
		innerCircleColor: '#ffffff',
		innerCircleStroke: '#333333'
	}
	// merge given parameters with the default ones
	Object.assign(defparams, params);
	// adjust prop unitText
	defparams.unitText = " / " + defparams.tot_rooms_units;
	// render donut chart
	var todaychart = new donutChart(elemid);
	todaychart.draw({
		start: defparams.start,
		end: defparams.tot_booked_today,
		maxValue: defparams.tot_rooms_units,
		size: defparams.tot_booked_today.size,
		unitText: defparams.unitText,
		animationSpeed: defparams.animationSpeed,
		textColor: defparams.textColor,
		titlePosition: defparams.titlePosition,
		titleText: defparams.titleText,
		titleColor: defparams.titleColor,
		outerCircleColor: defparams.outer_color,
		innerCircleColor: defparams.innerCircleColor,
		innerCircleStroke: defparams.innerCircleStroke
	});
}
</script>
<div class="vbo-dashboard-charts">
	<h4 class="vbo-dash-chart-title">
		<span class="vbo-dash-chart-current"><?php echo JText::_('VBDASHWEEKGLOBAVAIL'); ?></span>
		<span class="vbo-dash-chart-prev vbo-dash-chart-nav" style="display: none;"><?php VikBookingIcons::e('chevron-left'); ?></span>
		<span class="vbo-dash-chart-next vbo-dash-chart-nav"><?php VikBookingIcons::e('chevron-right'); ?></span>
	</h4>
	<div class="vbo-dashboard-charts-wrapper">
	<?php
	$is_dst = date('I', $arrayfirst['today_end_ts']);
	$info_end = getdate($arrayfirst['today_end_ts']);
	for ($i = 0; $i < 7; $i++) {
		$today_ts = mktime($info_end['hours'], $info_end['minutes'], $info_end['seconds'], $info_end['mon'], ($info_end['mday'] + $i), $info_end['year']);
		$today_info = getdate($today_ts);
		$tot_booked_today = 0;
		if (count($busy) > 0) {
			foreach ($busy as $idroom => $rbusy) {
				if (in_array($idroom, $arrayfirst['unpublished_rooms'])) {
					continue;
				}
				foreach ($rbusy as $b) {
					$tmpone = getdate($b['checkin']);
					$ritts = mktime(0, 0, 0, $tmpone['mon'], $tmpone['mday'], $tmpone['year']);
					$tmptwo = getdate($b['checkout']);
					$conts = mktime(0, 0, 0, $tmptwo['mon'], $tmptwo['mday'], $tmptwo['year']);
					if ($today_ts >= $ritts && $today_ts < $conts) {
						$tot_booked_today++;
					}
				}
			}
		}
		$percentage_booked = round((100 * $tot_booked_today / $arrayfirst['tot_rooms_units']), 2);
		$outer_color = '#2a762c'; //green
		if ($percentage_booked > 33 && $percentage_booked <= 66) {
			$outer_color = '#ffa64d'; //orange
		} elseif ($percentage_booked > 66 && $percentage_booked < 100) {
			$outer_color = '#ff4d4d'; //red
		} elseif ($percentage_booked >= 100) {
			$outer_color = '#550000'; //black-red
		}
		//Used for Today's Rooms Occupancy
		$today_tot_occupancy = $i == 0 ? $tot_booked_today : $today_tot_occupancy;
		//
		?>
		<div class="vbo-dashboard-chart-container" id="vbo-dashboard-chart-container-<?php echo ($i + 1); ?>">
			<span class="vbo-dashboard-chart-date"><?php echo $i == 0 ? JText::_('VBTODAY').', ' : ''; ?><?php echo $wdaysmap[(string)$today_info['wday']]; ?> <?php echo $today_info['mday']; ?></span>
		</div>
		<script type="text/javascript">
		renderDonutChart("vbo-dashboard-chart-container-<?php echo ($i + 1); ?>", {
			tot_booked_today: <?php echo $tot_booked_today; ?>, 
			tot_rooms_units: <?php echo $arrayfirst['tot_rooms_units']; ?>, 
			outer_color: '<?php echo $outer_color; ?>'
		});
		</script>
		<?php
	}
	// next week first day for navigation between donut charts
	$nextwk_ymd = date('Y-m-d', mktime(0, 0, 0, $today_info['mon'], ($today_info['mday'] + 1), $today_info['year']));
	?>
		<script type="text/javascript">
		var nextwk_ymd = '<?php echo $nextwk_ymd; ?>';
		jQuery(document).ready(function() {
			jQuery('.vbo-dash-chart-nav').click(function() {
				var direction = jQuery(this).hasClass('vbo-dash-chart-prev') ? 'prev' : 'next';
				var jqxhr = jQuery.ajax({
					type: "POST",
					url: "index.php",
					data: { option: "com_vikbooking", task: "donut_charts_data", direction: direction, fromdt: nextwk_ymd, tmpl: "component" }
				}).done(function(res) {
					try {
						var obj_res = JSON.parse(res);
						// clean up current HTML
						jQuery('.vbo-dashboard-charts-wrapper').html('');
						//
						for (var i = 0; i < obj_res.data.length; i++) {
							var identifier = 'vbo-dashboard-chart-container-' + obj_res.data[i]['ymd'];
							var container = '<div class="vbo-dashboard-chart-container" id="' + identifier + '">' +
											'	<span class="vbo-dashboard-chart-date">' + obj_res.data[i]['lbl'] + '</span>' +
											'</div>';
							jQuery('.vbo-dashboard-charts-wrapper').append(container);
							var donut_params = {
								tot_booked_today: obj_res.data[i]['tot_booked'], 
								tot_rooms_units: obj_res.tot_units, 
								outer_color: obj_res.data[i]['color']
							}
							renderDonutChart(identifier, donut_params);
						}
						// update date for the next request and navigation data
						nextwk_ymd = obj_res.tod;
						if (obj_res.prevweek === true) {
							jQuery('.vbo-dash-chart-prev').fadeIn();
						} else {
							jQuery('.vbo-dash-chart-prev').hide();
						}
						if (obj_res.nextweek === true) {
							jQuery('.vbo-dash-chart-next').fadeIn();
						} else {
							jQuery('.vbo-dash-chart-next').hide();
						}

					} catch(err) {
						console.error('could not parse JSON response', err, res);
					}
				}).fail(function(err) {
					alert(err);
				});
			});
		});
		</script>
	</div>
	<div class="vbo-dashboard-refresh-container">
		<div class="vbo-dashboard-refresh-head"><span class="vbo-dashboard-refresh-label"><?php echo JText::_('VBDASHNEXTREFRESH'); ?></span> <span class="vbo-dashboard-refresh-minutes">05</span>:<span class="vbo-dashboard-refresh-seconds">00</span></div>
		<span class="vbo-dashboard-refresh-stop"> </span>
		<span class="vbo-dashboard-refresh-play" style="display: none;"> </span>
	</div>
	<script type="text/JavaScript">
	var vbo_dash_counter = 300;
	var vbo_t;
	var vbo_m = 5;
	var vbo_s = 0;
	var vbo_t_on = false;
	function vboRefreshTimer() {
		vbo_dash_counter--;
		if (vbo_dash_counter <= 0) {
			vbo_t_on = false;
			clearTimeout(vbo_t);
			location.reload();
			return true;
		}
		vbo_m = Math.floor(vbo_dash_counter / 60);
		vbo_s = Math.floor((vbo_dash_counter - (vbo_m * 60)));
		jQuery(".vbo-dashboard-refresh-minutes").text("0"+vbo_m);
		jQuery(".vbo-dashboard-refresh-seconds").text((parseInt(vbo_s) < 10 ? "0"+vbo_s : vbo_s));
		vbo_t = setTimeout(vboRefreshTimer, 1000);
	}
	function vboStartTimer() {
		vbo_t = setTimeout(vboRefreshTimer, 1000);
		vbo_t_on = true;
	}
	jQuery(document).ready(function() {
		vboStartTimer();
		jQuery(".vbo-dashboard-refresh-stop").click(function(){
			if (vbo_t_on) {
				vbo_t_on = false;
				clearTimeout(vbo_t);
				jQuery(".vbo-dashboard-refresh-play").fadeIn();
			} else {
				jQuery(this).parent().fadeOut();
			}
		});
		jQuery(".vbo-dashboard-refresh-play").click(function(){
			if (!vbo_t_on) {
				vboStartTimer();
				jQuery(this).fadeOut();
			}
		});
		/* Check-in Search */
		jQuery(".checkin-search").keyup(function () {
			var searchTerm = jQuery(this).val();
			var listItem = jQuery('.vbo-table-search-cin tbody').children('tr');
			var searchSplit = searchTerm.replace(/ /g, "'):containsi('");
			jQuery.extend(jQuery.expr[':'], {'containsi': 
				function(elem, i, match, array) {
					return (elem.textContent || elem.innerText || '').toLowerCase().indexOf((match[3] || "").toLowerCase()) >= 0;
				}
			});
			jQuery(".vbo-table-search-cin tbody tr td.searchable").not(":containsi('" + searchSplit + "')").each(function(e) {
				jQuery(this).parent('tr').attr('visible', 'false');
			});
			jQuery(".vbo-table-search-cin tbody tr td.searchable:containsi('" + searchSplit + "')").each(function(e) {
				jQuery(this).parent('tr').attr('visible', 'true');
			});
			var jobCount = parseInt(jQuery('.vbo-table-search-cin tbody tr[visible="true"]').length);
			jQuery('#arrivals-tot').text(jobCount);
			if (jobCount > 0) {
				jQuery('.vbo-table-search-cin').find('.no-results').hide();
			} else {
				jQuery('.vbo-table-search-cin').find('.no-results').show();
			}
		});
		/* Check-in Search */
		jQuery(".checkout-search").keyup(function () {
			var searchTerm = jQuery(this).val();
			var listItem = jQuery('.vbo-table-search-cout tbody').children('tr');
			var searchSplit = searchTerm.replace(/ /g, "'):containsi('");
			jQuery.extend(jQuery.expr[':'], {'containsi': 
				function(elem, i, match, array) {
					return (elem.textContent || elem.innerText || '').toLowerCase().indexOf((match[3] || "").toLowerCase()) >= 0;
				}
			});
			jQuery(".vbo-table-search-cout tbody tr td.searchable").not(":containsi('" + searchSplit + "')").each(function(e) {
				jQuery(this).parent('tr').attr('visible', 'false');
			});
			jQuery(".vbo-table-search-cout tbody tr td.searchable:containsi('" + searchSplit + "')").each(function(e) {
				jQuery(this).parent('tr').attr('visible', 'true');
			});
			var jobCount = parseInt(jQuery('.vbo-table-search-cout tbody tr[visible="true"]').length);
			jQuery('#departures-tot').text(jobCount);
			if (jobCount > 0) {
				jQuery('.vbo-table-search-cout').find('.no-results').hide();
			} else {
				jQuery('.vbo-table-search-cout').find('.no-results').show();
			}
		});
		/* Today Search */
		jQuery(".today-search").keyup(function () {
			var searchTerm = jQuery(this).val();
			var searchSplit = searchTerm.replace(/ /g, "'):containsi('");
			jQuery.extend(jQuery.expr[':'], {'containsi': 
				function(elem, i, match, array) {
					return (elem.textContent || elem.innerText || '').toLowerCase().indexOf((match[3] || "").toLowerCase()) >= 0;
				}
			});
			jQuery(".vbo-table-search-today tbody tr td.searchable").not(":containsi('" + searchSplit + "')").each(function(e) {
				jQuery(this).parent('tr').attr('visible', 'false');
			});
			jQuery(".vbo-table-search-today tbody tr td.searchable:containsi('" + searchSplit + "')").each(function(e) {
				jQuery(this).parent('tr').attr('visible', 'true');
			});
			jQuery('.vbo-table-search-today').each(function(k, v) {
				var jobCount = parseInt(jQuery(this).find('tbody tr[visible="true"]').length);
				if (jobCount > 0) {
					jQuery(this).find('.no-results').hide();
				} else {
					jQuery(this).find('.no-results').show();
				}
			});
		});
	});
	</script>
</div>
	<?php
	//Today's Rooms Occupancy
	if ($today_tot_occupancy > 0) {
		$today_rbookmap = array();
		$today_bidbookmap = array();
		foreach ($busy as $idroom => $rbusy) {
			foreach ($rbusy as $b) {
				$tmpone = getdate($b['checkin']);
				$ritts = mktime(0, 0, 0, $tmpone['mon'], $tmpone['mday'], $tmpone['year']);
				$tmptwo = getdate($b['checkout']);
				$conts = mktime(0, 0, 0, $tmptwo['mon'], $tmptwo['mday'], $tmptwo['year']);
				if ($arrayfirst['today_end_ts'] >= $ritts && $arrayfirst['today_end_ts'] < $conts) {
					if (isset($today_rbookmap[$b['idroom']])) {
						$today_rbookmap[$b['idroom']]++;
						$today_bidbookmap[$b['idroom']][] = $b['id'];
					} else {
						$today_rbookmap[$b['idroom']] = 1;
						$today_bidbookmap[$b['idroom']] = array($b['id']);
					}
				}
			}
		}
		?>
<div class="vbo-dashboard-today-occ-block">
	<div class="vbo-dashboard-today-occ">
		<div class="vbo-dashboard-today-occ-head">
			<h4><?php echo JText::_('VBDASHTODROCC'); ?></h4>
			<div class="btn-wrapper input-append">
				<input type="text" class="today-search form-control" placeholder="<?php echo JText::_('VBODASHSEARCHKEYS'); ?>">
				<button type="button" class="btn" onclick="jQuery('.today-search').val('').trigger('keyup');"><i class="icon-remove"></i></button>
			</div>
		</div>
		<div class="vbo-dashboard-today-occ-listcont">
		<?php
		foreach ($today_rbookmap as $idr => $rbked) {
			$room_bookings_det = VikBooking::getRoomBookingsFromBusyIds($idr, $today_bidbookmap[$idr]);
			if (count($room_bookings_det) == 1 && $room_bookings_det[0]['closure'] == 1) {
				//skip rooms with just a closure
				continue;
			}
			?>
			<div class="vbo-dashboard-today-roomocc">
				<div class="vbo-dashboard-today-roomocc-det">
					<h5>
						<?php echo $arrayfirst['all_rooms_ids'][$idr]; ?>
						<span class="vbo-dashboard-roomocc-units-fromto">
							<span class="vbo-dashboard-roomocc-units-from"><?php echo $rbked; ?></span> / <span><?php echo $arrayfirst['all_rooms_units'][$idr]; ?></span>
						</span>
					</h5>
					<div class="vbo-dashboard-today-roomocc-customers table-responsive">
						<table class="table vbo-table-search-today">
							<thead>
								<tr class="vbo-dashboard-today-roomocc-firstrow">
									<th class="left"><?php echo JText::_('VBCUSTOMERNOMINATIVE'); ?></th>
									<th class="center">&nbsp;</th>
									<th class="center"><?php echo JText::_('VBDASHUPRESFOUR'); ?></th>
								</tr>
								<tr class="warning no-results">
									<td colspan="7"><i class="vboicn-warning"></i> <?php echo JText::_('VBONORESULTS'); ?></td>
								</tr>
							</thead>
							<tbody>
							<?php
							foreach ($room_bookings_det as $rbind => $room_booking) {
								$nominative = strlen($room_booking['nominative']) > 1 ? $room_booking['nominative'] : VikBooking::getFirstCustDataField($room_booking['custdata']);
								$country_flag = '';
								if (file_exists(VBO_ADMIN_PATH.DS.'resources'.DS.'countries'.DS.$room_booking['country'].'.png')) {
									$country_flag = '<img src="'.VBO_ADMIN_URI.'resources/countries/'.$room_booking['country'].'.png'.'" title="'.$room_booking['country'].'" class="vbo-country-flag vbo-country-flag-left"/>';
								}
								//Room specific unit
								$room_first_feature = '&nbsp;';
								if (!empty($room_booking['roomindex']) && array_key_exists($idr, $arrayfirst['all_rooms_features']) && count($arrayfirst['all_rooms_features'][$idr]) > 0) {
									foreach ($arrayfirst['all_rooms_features'][$idr] as $rind => $rfeatures) {
										if ($rind != $room_booking['roomindex']) {
											continue;
										}
										foreach ($rfeatures as $fname => $fval) {
											if (strlen($fval)) {
												$room_first_feature = '#'.$rind.' - '.JText::_($fname).': '.$fval;
												break 2;
											}
										}
									}
								}
								//
								$act_status = '';
								if ($vbo_auth_bookings && $room_booking['closure'] != 1 && $room_booking['checked'] != 0) {
									// @wponly lite - no registration
								}
								?>
								<tr class="vbo-dashboard-today-roomocc-rows">
									<td class="searchable left"><?php echo $country_flag.'<a href="index.php?option=com_vikbooking&task=editorder&cid[]='.$room_booking['idorder'].'" target="_blank">'.$nominative.'</a>'; ?></td>
									<td class="searchable center"><?php echo $room_first_feature; ?></td>
									<td class="searchable center"><?php echo date(str_replace("/", $datesep, $df).' H:i', $room_booking['checkout']).$act_status; ?></td>
								</tr>
								<?php
							}
							?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
			<?php
		}
		?>
		</div>
	</div>
</div>
		<?php
	}
	//
	// Last Bookings
	?>
<div class="vbo-dashboard-next-bookings-block vbo-dashboard-last-bookings-block">
	<h4><?php VikBookingIcons::e('far fa-bell'); ?> <?php echo JText::_('VBDASHLASTRES'); ?></h4>
	<div class="vbo-dashboard-next-bookings table-responsive">
		<table class="table">
			<thead>
				<tr class="vbo-dashboard-today-checkout-firstrow">
					<th class="left"><?php echo JText::_('VBDASHUPRESONE'); ?></th>
					<th class="left"><?php echo JText::_('VBCUSTOMERNOMINATIVE'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESSIX'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESTWO'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESTHREE'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESFOUR'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESFIVE'); ?></th>
				</tr>
			</thead>
			<tbody>
			<?php
			foreach ($this->lastreservations as $nbk => $next) {
				$totpeople_str = $next['tot_adults']." ".($next['tot_adults'] > 1 ? JText::_('VBMAILADULTS') : JText::_('VBMAILADULT')).($next['tot_children'] > 0 ? ", ".$next['tot_children']." ".($next['tot_children'] > 1 ? JText::_('VBMAILCHILDREN') : JText::_('VBMAILCHILD')) : "");
				$room_names = array();
				$rooms = VikBooking::loadOrdersRoomsData($next['id']);
				foreach ($rooms as $rr) {
					$room_names[] = $rr['room_name'];
				}
				if ($next['roomsnum'] == 1) {
					$roomstr = '<span class="vbo-smalltext">'.$room_names[0].'</span>';
				} else {
					$roomstr = '<span class="hasTooltip vbo-tip-small" title="'.implode(', ', $room_names).'">'.$next['roomsnum'].'</span>';
				}
				if ($next['status'] == 'confirmed') {
					$ord_status = '<span class="label label-success vbo-status-label">'.JText::_('VBCONFIRMED').'</span>';
				} elseif ($next['status'] == 'standby') {
					$ord_status = '<span class="label label-warning vbo-status-label">'.JText::_('VBSTANDBY').'</span>';
				} else {
					$ord_status = '<span class="label label-error vbo-status-label" style="background-color: #d9534f;">'.JText::_('VBCANCELLED').'</span>';
				}
				$nominative = strlen($next['nominative']) > 1 ? $next['nominative'] : VikBooking::getFirstCustDataField($next['custdata']);
				$country_flag = '';
				if (file_exists(VBO_ADMIN_PATH.DS.'resources'.DS.'countries'.DS.$next['country'].'.png')) {
					$country_flag = '<img src="'.VBO_ADMIN_URI.'resources/countries/'.$next['country'].'.png'.'" title="'.$next['country'].'" class="vbo-country-flag vbo-country-flag-left"/>';
				}
				?>
				<tr class="vbo-dashboard-today-checkout-rows">
					<td align="left"><a href="index.php?option=com_vikbooking&amp;task=editorder&amp;cid[]=<?php echo $next['id']; ?>"><?php echo $next['id']; ?></a></td>
					<td align="left"><?php echo $country_flag.$nominative; ?></td>
					<td align="left"><?php echo $totpeople_str; ?></td>
					<td align="left"><?php echo $roomstr; ?></td>
					<td align="left"><?php echo date(str_replace("/", $datesep, $df).' H:i', $next['checkin']); ?></td>
					<td align="left"><?php echo date(str_replace("/", $datesep, $df).' H:i', $next['checkout']); ?></td>
					<td align="left"><?php echo $ord_status; ?></td>
				</tr>
				<?php
			}
			?>
			</tbody>
		</table>
	</div>
</div>
	<?php
	// Next Bookings
	?>
<div class="vbo-dashboard-next-bookings-block">
	<h4><i class="vboicn-stopwatch"></i> <?php echo JText::_('VBDASHUPCRES'); ?></h4>
	<div class="vbo-dashboard-next-bookings table-responsive">
		<table class="table">
			<thead>
				<tr class="vbo-dashboard-today-checkout-firstrow">
					<th class="left"><?php echo JText::_('VBDASHUPRESONE'); ?></th>
					<th class="left"><?php echo JText::_('VBCUSTOMERNOMINATIVE'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESSIX'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESTWO'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESTHREE'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESFOUR'); ?></th>
					<th class="left"><?php echo JText::_('VBDASHUPRESFIVE'); ?></th>
				</tr>
			</thead>
			<tbody>
			<?php
			foreach ($nextreservations as $nbk => $next) {
				$totpeople_str = $next['tot_adults']." ".($next['tot_adults'] > 1 ? JText::_('VBMAILADULTS') : JText::_('VBMAILADULT')).($next['tot_children'] > 0 ? ", ".$next['tot_children']." ".($next['tot_children'] > 1 ? JText::_('VBMAILCHILDREN') : JText::_('VBMAILCHILD')) : "");
				$room_names = array();
				$rooms = VikBooking::loadOrdersRoomsData($next['id']);
				foreach ($rooms as $rr) {
					$room_names[] = $rr['room_name'];
				}
				if ($next['roomsnum'] == 1) {
					$roomstr = '<span class="vbo-smalltext">'.$room_names[0].'</span>';
				} else {
					$roomstr = '<span class="hasTooltip vbo-tip-small" title="'.implode(', ', $room_names).'">'.$next['roomsnum'].'</span>';
				}
				if ($next['status'] == 'confirmed') {
					$ord_status = '<span class="label label-success vbo-status-label">'.JText::_('VBCONFIRMED').'</span>';
				} elseif ($next['status'] == 'standby') {
					$ord_status = '<span class="label label-warning vbo-status-label">'.JText::_('VBSTANDBY').'</span>';
				} else {
					$ord_status = '<span class="label label-error vbo-status-label" style="background-color: #d9534f;">'.JText::_('VBCANCELLED').'</span>';
				}
				$nominative = strlen($next['nominative']) > 1 ? $next['nominative'] : VikBooking::getFirstCustDataField($next['custdata']);
				$country_flag = '';
				if (file_exists(VBO_ADMIN_PATH.DS.'resources'.DS.'countries'.DS.$next['country'].'.png')) {
					$country_flag = '<img src="'.VBO_ADMIN_URI.'resources/countries/'.$next['country'].'.png'.'" title="'.$next['country'].'" class="vbo-country-flag vbo-country-flag-left"/>';
				}
				?>
				<tr class="vbo-dashboard-today-checkout-rows">
					<td align="left"><a href="index.php?option=com_vikbooking&amp;task=editorder&amp;cid[]=<?php echo $next['id']; ?>"><?php echo $next['id']; ?></a></td>
					<td align="left"><?php echo $country_flag.$nominative; ?></td>
					<td align="left"><?php echo $totpeople_str; ?></td>
					<td align="left"><?php echo $roomstr; ?></td>
					<td align="left"><?php echo date(str_replace("/", $datesep, $df).' H:i', $next['checkin']); ?></td>
					<td align="left"><?php echo date(str_replace("/", $datesep, $df).' H:i', $next['checkout']); ?></td>
					<td align="left"><?php echo $ord_status; ?></td>
				</tr>
				<?php
			}
			?>
			</tbody>
		</table>
	</div>
</div>
	<?php
	//Rooms Locked
	if (count($rooms_locked)) {
		?>
<div class="vbo-dashboard-rooms-locked-block">
	<div class="vbo-dashboard-rooms-locked table-responsive">
		<h4 id="vbo-dashboard-rooms-locked-toggle"><?php VikBookingIcons::e('lock'); ?> <?php echo JText::_('VBDASHROOMSLOCKED'); ?><span>(<?php echo count($rooms_locked); ?>)</span></h4>
		<table class="table" style="display: none;">
			<tr class="vbo-dashboard-rooms-locked-firstrow">
				<td class="center"><?php echo JText::_('VBDASHROOMNAME'); ?></td>
				<td class="center"><?php echo JText::_('VBCUSTOMERNOMINATIVE'); ?></td>
				<td class="center"><?php echo JText::_('VBDASHLOCKUNTIL'); ?></td>
				<td class="center"><?php echo JText::_('VBDASHBOOKINGID'); ?></td>
				<td class="center">&nbsp;</td>
			</tr>
		<?php
		foreach ($rooms_locked as $lock) {
			?>
			<tr class="vbo-dashboard-rooms-locked-rows">
				<td class="center"><?php echo $lock['name']; ?></td>
				<td class="center"><?php echo $lock['nominative']; ?></td>
				<td class="center"><?php echo date(str_replace("/", $datesep, $df).' H:i', $lock['until']); ?></td>
				<td class="center"><a href="index.php?option=com_vikbooking&amp;task=editorder&amp;cid[]=<?php echo $lock['idorder']; ?>" target="_blank"><?php echo $lock['idorder']; ?></a></td>
				<td class="center"><button type="button" class="btn btn-danger" onclick="if (confirm('<?php echo addslashes(JText::_('VBDELCONFIRM')); ?>')) location.href='index.php?option=com_vikbooking&amp;task=unlockrecords&amp;cid[]=<?php echo $lock['id']; ?>';"><?php echo JText::_('VBDASHUNLOCK'); ?></button></td>
			</tr>
			<?php
		}
		?>
		</table>
	</div>
</div>
<script type="text/JavaScript">
jQuery(document).ready(function() {
	jQuery("#vbo-dashboard-rooms-locked-toggle").click(function(){
		jQuery(this).next("table").fadeToggle();
	});
});
</script>
		<?php
	}
	?>
</div>
	<?php
}
?>
<script type="text/JavaScript">
var vbodialog_on = false;
function hideVboDialogDash(action) {
	if (vbodialog_on === true) {
		jQuery(".vbo-info-overlay-block").fadeOut(400, function () {
			jQuery(".vbo-info-overlay-content").show();
		});
		vbodialog_on = false;
	}
	// check action
	if (action < 0) {
		// stop reminding, set cookie
		var nd = new Date();
		nd.setTime(nd.getTime() + (365*24*60*60*1000));
		document.cookie = "vboHideOrphans=1; expires=" + nd.toUTCString() + "; path=/";
	}
}
jQuery(document).ready(function() {
	if (jQuery.isFunction(jQuery.fn.tooltip)) {
		jQuery(".hasTooltip").tooltip();
	} else {
		jQuery.fn.tooltip = function(){};
	}
	// dialog handling
	jQuery(document).keydown(function(e) {
		if ( e.keyCode == 27 ) {
			hideVboDialogDash(1);
		}
	});
	jQuery(document).mouseup(function(e) {
		if (!vbodialog_on) {
			return false;
		}
		var vbo_overlay_cont = jQuery(".vbo-info-overlay-content");
		if (!vbo_overlay_cont.is(e.target) && vbo_overlay_cont.has(e.target).length === 0) {
			hideVboDialogDash(1);
		}
	});
	// check orphans (only if not disabled with the cookie)
	var hideorphans = false;
	var buiscuits = document.cookie;
	if (buiscuits.length) {
		var hideorphansck = "vboHideOrphans=1";
		if (buiscuits.indexOf(hideorphansck) >= 0) {
			hideorphans = true;
		}
	}
	if (!hideorphans && <?php echo $vbo_auth_pricing ? 'true' : 'false'; ?>) {
		// make the request
		var jqxhr = jQuery.ajax({
			type: "POST",
			url: "index.php",
			data: { option: "com_vikbooking", task: "orphanscount", tmpl: "component" }
		}).done(function(res) {
			var obj_res = JSON.parse(res);
			var orphans_list = '';
			for (var rid in obj_res) {
				if (!obj_res.hasOwnProperty(rid)) {
					continue;
				}
				orphans_list += '<div class="vbo-orphans-info-room">';
				orphans_list += '	<h4 class="vbo-orphans-roomname">'+obj_res[rid]['name']+'</h4>';
				orphans_list += '	<div class="vbo-orphans-info-dates">';
				for (var dind in obj_res[rid]['rdates']) {
					if (!obj_res[rid]['rdates'].hasOwnProperty(dind)) {
						continue;
					}
					orphans_list += '	<div class="vbo-orphans-info-date">'+obj_res[rid]['rdates'][dind]+'</div>';
				}
				orphans_list += '	</div>';
				orphans_list += '	<div class="vbo-orphans-info-btn">';
				orphans_list += '		<a href="index.php?option=com_vikbooking&task=ratesoverv&cid[]='+rid+'&startdate='+obj_res[rid]['linkd']+'" class="btn btn-primary" target="_blank"><?php echo addslashes(JText::_('VBORPHANSCHECKBTN')); ?></a>';
				orphans_list += '	</div>';
				orphans_list += '</div>';
			}
			if (orphans_list.length) {
				// show the modal
				jQuery('.vbo-orphans-info-list').html(orphans_list);
				jQuery('.vbo-info-overlay-block').fadeIn();
				vbodialog_on = true;
			}
		}).fail(function() {
			console.log("orphanscount Request Failed");
		});
	}
	//
});
</script>

<div class="vbo-info-overlay-block">
	<a class="vbo-info-overlay-close" href="javascript: void(0);"></a>
	<div class="vbo-info-overlay-content vbo-info-overlay-content-orphans">
		<h3><?php echo $vbo_app->createPopover(array('title' => JText::_('VBORPHANSFOUND'), 'content' => JText::_('VBORPHANSFOUNDSHELP'), 'icon_class' => VikBookingIcons::i('exclamation-triangle'))); ?> <?php echo JText::_('VBORPHANSFOUND'); ?></h3>
		<div class="vbo-info-overlay-scroll-content">
			<div class="vbo-orphans-info-list"></div>
		</div>
		<div class="vbo-orphans-info-cmds">
			<div class="vbo-orphans-info-cmd">
				<button type="button" class="btn btn-success" onclick="javascript: hideVboDialogDash(1);"><?php echo JText::_('VBOBTNKEEPREMIND'); ?></button>
			</div>
			<div class="vbo-orphans-info-cmd">
				<button type="button" class="btn btn-danger" onclick="javascript: hideVboDialogDash(-1);"><?php echo JText::_('VBOBTNDONTREMIND'); ?></button>
			</div>
		</div>
	</div>
</div>
